Up

# NSXMLDTDNode class documentation

### Authors

Richard Frith-Macdonald (`rfm@gnu.org`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2008 Free Software Foundation, Inc.

# Software documentation for the NSXMLDTDNode class

## NSXMLDTDNode : NSXMLNode

> Declared in:
>   Foundation/NSXMLDTDNode.h

Availability: OpenStep
Represents the nodes whose types are present only in DTDs.
Object values for the different nodes are:

Entity declaration
  The string that that entity resolves to eg "<"
Attribute declaration
  The default value, if any
Element declaration
  The validation string
Notation declaration
  `nil`

Method summary

- -DTDKind
- -initWithXMLString:
- -isExternal
- -notationName
- -publicID
- -setDTDKind:
- -setNotationName:
- -setPublicID:
- -setSystemID:
- -systemID

### DTDKind

- (NSXMLDTDNodeKind) DTDKind;
Availability: OpenStep
Returns what kind of DTD node this is.

### initWithXMLString:

- (id) initWithXMLString: (NSString*)string;
Availability: OpenStep
This is a designated initialiser for the class.
Initialises the receiver based on the contents of the supplied XML.

### isExternal

- (BOOL) isExternal;
Availability: OpenStep
Returns `YES` if the system id is set, `NO` otherwise.
Is valid only for entities and notations.

### notationName

- (NSString*) notationName;
Availability: OpenStep
Returns the notation name.

### publicID

- (NSString*) publicID;
Availability: OpenStep
Returns the public id.

### setDTDKind:

- (void) setDTDKind: (NSXMLDTDNodeKind)nodeKind;
Availability: OpenStep
Sets what kind of DTD node this is.

### setNotationName:

- (void) setNotationName: (NSString*)notationName;
Availability: OpenStep
Sets the notation name if the receiver is an entity.

### setPublicID:

- (void) setPublicID: (NSString*)publicID;
Availability: OpenStep
Sets the public id of this node.
This identifier should be in the default catalog or in a location given by the XML_CATALOG_FILES environment variable.
When the public id is set the system id must also be set.
This is valid only for entities and notations.

### setSystemID:

- (void) setSystemID: (NSString*)systemID;
Availability: OpenStep
Sets the system ID... a URL referring to the DTD document.

### systemID

- (NSString*) systemID;
Availability: OpenStep
Returns the system ID.

Up